Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class MapModeCodeGenStrategy.StaticIdentityMapMode

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.MapModeCodeGenStrategy
          org.eclipse.gmf.graphdef.codegen.MapModeCodeGenStrategy.StaticIdentityMapMode

Enclosing class:
  MapModeCodeGenStrategy

public static class MapModeCodeGenStrategy.StaticIdentityMapMode
extends MapModeCodeGenStrategy

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.graphdef.codegen.MapModeCodeGenStrategy
`MapModeCodeGenStrategy.RuntimeMapModeFromPluginClass, MapModeCodeGenStrategy.RuntimeUnspecifiedMapMode, MapModeCodeGenStrategy.StaticIdentityMapMode`

Constructor Summary
`MapModeCodeGenStrategy.StaticIdentityMapMode()`

Method Summary
`java.lang.String` `DPtoLP(int deviceUnit)`
`java.lang.String` `LPtoDP(int logicalUnit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapModeCodeGenStrategy.StaticIdentityMapMode

    public MapModeCodeGenStrategy.StaticIdentityMapMode()

Method Detail

### DPtoLP

    public java.lang.String DPtoLP(int deviceUnit)

  Specified by:
    `DPtoLP` in class `MapModeCodeGenStrategy`

### LPtoDP

    public java.lang.String LPtoDP(int logicalUnit)

  Specified by:
    `LPtoDP` in class `MapModeCodeGenStrategy`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.